/************************************************************************/
/*  Copyright (C), 2016-2020, [IT], 保留所有权利;
/*  模 块 名：;
/*  描    述：;
/*
/*  版    本：[V];	
/*  作    者：[IT];
/*  日    期：[10/21/2016];
/*
/*
/*  注    意：;
/*
/*  修改记录：[IT];
/*  修改日期：;
/*  修改版本：;
/*  修改内容：;
/************************************************************************/
#ifndef __SORT_HEADER_CTRL___
#define __SORT_HEADER_CTRL___

#pragma once

class CSortHeaderCtrl : public CHeaderCtrl
{
public:
	CSortHeaderCtrl();
	virtual ~CSortHeaderCtrl();
public:
	virtual void Serialize(CArchive& ar);
	void SetSortArrow( IN const int nSortColumn, IN const BOOL bAscending );

	// 设置字体;
	void SetListFont(IN CString strFontName, IN int nFontSize, IN BOOL bBold = FALSE, IN BOOL bItalic =  FALSE);
protected:
	// 自绘函数;
	void DrawItemEx( IN LPDRAWITEMSTRUCT lpDrawItemStruct );

	CFont	m_cfont;
	// 排序列;
	int		m_nSortColumn;
	// 升(TRUE)降(FALSE)序;
	BOOL	m_bSortAscending;
	// 列头字体颜色;
	COLORREF m_clrColumText;
	// 列头3D高亮色;
	COLORREF m_clr3DHighLight;
	// 列头3D阴影;
	COLORREF m_clr3DShadow;
	// 列头3D;
	COLORREF m_clr3DFace;
	// 是否按下鼠标;
	BOOL	 m_bPressMoused;

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnPaint();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	virtual BOOL PreTranslateMessage(MSG* pMsg);
};

#endif // __SORT_HEADER_CTRL___
